Name:          java-asm
Version:       9.8
Release:       1mamba
Summary:       A code manipulation tool to implement adaptable systems
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://asm.ow2.io/
Source0:       https://repository.ow2.org/nexus/content/repositories/releases/org/ow2/asm/asm/%{version}/asm-%{version}.jar
Source1:       https://repository.ow2.org/nexus/content/repositories/releases/org/ow2/asm/asm-analysis/%{version}/asm-analysis-%{version}.jar
Source2:       https://repository.ow2.org/nexus/content/repositories/releases/org/ow2/asm/asm-commons/%{version}/asm-commons-%{version}.jar
Source3:       https://repository.ow2.org/nexus/content/repositories/releases/org/ow2/asm/asm-tree/%{version}/asm-tree-%{version}.jar
Source4:       https://repository.ow2.org/nexus/content/repositories/releases/org/ow2/asm/asm-util/%{version}/asm-util-%{version}.jar
Source5:       https://repository.ow2.org/nexus/content/repositories/releases/org/ow2/asm/asm-test/%{version}/asm-test-%{version}.jar
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
Requires:      javapackages
Provides:      objectweb-asm
Obsoletes:     objectweb-asm <= 3.2

%description
ASM is an all purpose Java bytecode manipulation and analysis framework.

%prep

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m 644 %{SOURCE0} %{buildroot}%{_javadir}/asm/asm-%{version}.jar
install -D -m 644 %{SOURCE1} %{buildroot}%{_javadir}/asm/asm-analysis-%{version}.jar
install -D -m 644 %{SOURCE2} %{buildroot}%{_javadir}/asm/asm-commons-%{version}.jar
install -D -m 644 %{SOURCE3} %{buildroot}%{_javadir}/asm/asm-tree-%{version}.jar
install -D -m 644 %{SOURCE4} %{buildroot}%{_javadir}/asm/asm-util-%{version}.jar
install -D -m 644 %{SOURCE5} %{buildroot}%{_javadir}/asm/asm-test-%{version}.jar

for f in asm{,-analysis,-commons,-tree,-util,-test}; do
   ln -s ${f}-%{version}.jar %{buildroot}%{_javadir}/asm/${f}.jar
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_javadir}/asm
%{_javadir}/asm/asm-%{version}.jar
%{_javadir}/asm/asm.jar
%{_javadir}/asm/asm-analysis-%{version}.jar
%{_javadir}/asm/asm-analysis.jar
%{_javadir}/asm/asm-commons-%{version}.jar
%{_javadir}/asm/asm-commons.jar
%{_javadir}/asm/asm-tree-%{version}.jar
%{_javadir}/asm/asm-tree.jar
%{_javadir}/asm/asm-test-%{version}.jar
%{_javadir}/asm/asm-test.jar
%{_javadir}/asm/asm-util-%{version}.jar
%{_javadir}/asm/asm-util.jar

%changelog
* Tue Apr 01 2025 Automatic Build System <autodist@openmamba.org> 9.8-1mamba
- automatic version update by autodist

* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 9.7.1-1mamba
- automatic version update by autodist

* Tue Apr 09 2024 Automatic Build System <autodist@openmamba.org> 9.7-1mamba
- automatic version update by autodist

* Wed Oct 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 9.6-1mamba
- renamed from objectweb-asm to java-asm
- update to 9.6

* Fri Mar 25 2011 gil <puntogil@libero.it> 3.2-4mamba
- rebuilt with java-openjdk support

* Sat Oct 30 2010 gil <puntogil@libero.it> 3.2-3mamba
- rebuilt in devel
- add OSGi support

* Sat Jan 09 2010 gil <puntogil@libero.it> 3.2-2mamba
- rebuilt with: java-cojen java-csg-bytecode java-jbet java-jiapi java-kawa java-rhino java-serp

* Tue Jul 28 2009 gil <puntogil@libero.it> 3.2-1mamba
- update to 3.2

* Wed Feb 25 2009 gil <puntogil@libero.it> 3.1-1mamba
- package created by autospec
